.single-page-content :where(h1, h2, h3, h4, h5, h6, ul, ol, blockquote, li, p)+*:not(:empty) {
    margin-top: clamp(10px, .95vw, 12px);
}

.single-page-content>*+ :where(h1, h2, h3):not(:empty) {
    margin-top: clamp(32px, 3.15vw, 50px);
}

.single-page-content>*+ :where(h4, h5, h6):not(:empty) {
    margin-top: clamp(24px, 2.15vw, 30px);
}


.single-page-content ul {
    list-style: inherit;
    padding-left: 20px;
}

.single-page-content :where(ul, ol) li {
    font-size: clamp(15px, 1vw, var(--gwsi-fs-17));
    line-height: 1.3;
}

.single-page-content :where(h1, h2, h3, h4, h5, h6) {
    font-weight: 500;
    color: var(--gwsi-black);
    line-height: 1.25;
    letter-spacing: 0.05em;
}

.single-page-content :where(h1, h2, h3) {
    font-size: clamp(28px, 2.95vw, var(--gwsi-fs-44));
}

.single-page-content :where(h4) {
    font-size: clamp(21px, 1.5vw, var(--gwsi-fs-24));
}

.single-page-content :where(h5, h6) {
    font-size: clamp(18px, 1.25vw, var(--gwsi-fs-20));
}

.single-page-content blockquote {
    background-color: var(--gwsi-indigo-50);
    padding: clamp(20px, 1.75vw, 24px);
    font-style: italic;
    color: var(--gwsi-black);
    width: fit-content;
}

.single-page-content a {
    text-decoration: underline;
}

.single-page-content a:hover {
    color: var(--gwsi-primary);
}